#ifndef SCOPE_PREVIEW_H_
#define SCOPE_PREVIEW_H_

#include <unity/scopes/PreviewQueryBase.h>
#include <unity/scopes/Result.h>

using namespace unity::scopes;

class Preview: public PreviewQueryBase {
public:
    Preview(const Result &result, const ActionMetadata &metadata);
    ~Preview() = default;

    void cancelled() override;

    void run(PreviewReplyProxy const& reply) override;
};

#endif // SCOPE_PREVIEW_H_

