#include "preview.h"
#include "query.h"
#include "scope.h"

using namespace unity::scopes;
using namespace std;

void MyScope::start(string const&) {
}

void MyScope::stop() {
}

SearchQueryBase::UPtr MyScope::search(const CannedQuery &query, const SearchMetadata &metadata) {
    return SearchQueryBase::UPtr(new Query(query, metadata));
}

PreviewQueryBase::UPtr MyScope::preview(Result const& result, ActionMetadata const& metadata) {
    return PreviewQueryBase::UPtr(new Preview(result, metadata));
}

#define EXPORT __attribute__ ((visibility ("default")))

// These functions define the entry points for the scope plugin
extern "C" {

EXPORT
ScopeBase*
// cppcheck-suppress unusedFunction
UNITY_SCOPE_CREATE_FUNCTION() {
    return new MyScope();
}

EXPORT
void
// cppcheck-suppress unusedFunction
UNITY_SCOPE_DESTROY_FUNCTION(ScopeBase* scope_base) {
    delete scope_base;
}

}

